<ion-content scroll="false">
    <ion-header no-border no-lines >
        <ion-navbar color="light" padding hideBackButton>
            <ion-buttons>
                <button start color="primary" ion-button icon-only tappable (click)="dismiss()">
                    <ion-icon name="close"></ion-icon>
                </button>
            </ion-buttons>
        </ion-navbar>
    </ion-header>



    <ion-slides #slider direction="vertical" dir="ltr">
        <ion-slide class="swiper-no-swiping">
            <div padding>
                <img class="logo" src="assets/img/logo/logo.png" width="100"/>
                <ion-slides class="text-slider" autoplay="2000" loop="true" mode="ios">
                    <ion-slide>
                        <h3>{{ 'LOGINH1' | translate }}</h3>
                        <p>{{ 'LOGIND1' | translate }}</p>
                    </ion-slide>
                    <ion-slide>
                        <h3>{{ 'LOGINH2' | translate }}</h3>
                        <p>{{ 'LOGIND2' | translate }}</p>
                    </ion-slide>
                    <ion-slide>
                        <h3>{{ 'LOGINH3' | translate }}</h3>
                        <p>{{ 'LOGIND3' | translate }}</p>
                    </ion-slide>
                </ion-slides>
                <ion-row>
                    <ion-col col-6>
                        <button ion-button block color="primary" outline tappable (click)="goToLogin()">{{ 'LOGIN' |
                            translate }}
                        </button>
                    </ion-col>
                    <ion-col col-6>
                        <button ion-button block tappable (click)="goToSignup()">{{ 'CREATE_ACC' | translate }}</button>
                    </ion-col>

                </ion-row>

                <!--<ion-row>-->
                    <!--<ion-col col-12>-->
                        <!--<button ion-button block color="primary" outline tappable (click)="goToVerification()">{{ 'PHONE_NUMBER_VERIFICATION' |-->
                            <!--translate }}-->
                        <!--</button>-->
                    <!--</ion-col>-->

                <!--</ion-row>-->
                <!--<ion-row>-->
                    <!--<ion-col col-6>-->
                        <!--<button ion-button block tappable (click)="fb_login()" style="background-color: #4266b3">-->
                            <!--<ion-icon name="logo-facebook"></ion-icon> &nbsp;&nbsp; {{ 'FACEBOOK' | translate }}-->
                        <!--</button>-->
                    <!--</ion-col>-->
                    <!--<ion-col col-6>-->
                        <!--<button ion-button block tappable (click)="fb_login()" style="background-color: #1da1f2">-->
                            <!--<ion-icon name="logo-twitter"></ion-icon> &nbsp;&nbsp; {{ 'TWITTER' | translate }}-->
                        <!--</button>-->
                    <!--</ion-col>-->
                <!--</ion-row>-->

                <!--<ion-row>-->
                    <!--<ion-col col-6>-->
                        <!--<button ion-button block tappable (click)="fb_logout()" style="background-color: #4266b3">-->
                            <!--<ion-icon name="logo-facebook"></ion-icon> Logut Fb-->
                        <!--</button>-->
                    <!--</ion-col>-->
                    <!--<ion-col col-6>-->
                        <!--<button ion-button block tappable (click)="fb_login()" style="background-color: #1da1f2">-->
                            <!--<ion-icon name="logo-twitter"></ion-icon> &nbsp;&nbsp; {{ 'TWITTER' | translate }}-->
                        <!--</button>-->
                    <!--</ion-col>-->
                <!--</ion-row>-->

            </div>
        </ion-slide>
        <ion-slide class="zoom swiper-no-swiping" mode="ios">
            <ion-slides #innerSlider class="content-slider" mode="ios">
                <ion-slide class="swiper-no-swiping" mode="ios">
                    <ion-content>
                        <div padding-left padding-right text-left class="body">
                            <h1 padding-horizontal>{{ 'LOGIN' | translate }}</h1>
                            <p padding-horizontal>{{ 'LOGIN_WOO' | translate }}</p>
                            <form [formGroup]="loginForm" (ngSubmit)="submitLogin()">
                                <!--<ion-item padding-right text-right>-->
                                    <!--<ion-label floating>{{ 'USERNAME' | translate }}</ion-label>-->
                                    <!--<ion-input formControlName="phone" autocomplete="off" type="text"-->
                                               <!--required></ion-input>-->
                                <!--</ion-item>-->

                                <ion-item padding-right text-right padding-top style="padding-top: 50px;">

                                    <ion-label color="primary" style="font-size: 2.0rem">+966</ion-label>
                                    <ion-input  style="font-size: 2.0rem" formControlName="user" autocomplete="off"  type="tel"  placeholder="59xxxxxxx" minlength="9" maxlength="9" required></ion-input>
                                    <ion-label style="font-size: 2.0rem" color="primary" class="phonelbl">{{ 'PHONE' | translate }}</ion-label>
                                </ion-item>
                                <!--<ion-item padding-right text-right>-->
                                    <!--<ion-label style="font-size: 2.0rem" floating>{{ 'PASSWORD' | translate }}</ion-label>-->
                                    <!--<ion-input style="font-size: 2.0rem" formControlName="pass" autocomplete="off" type="password"-->
                                               <!--required></ion-input>-->
                                <!--</ion-item>-->
                                <div padding>
                                    <button style="font-size: 2.0rem" [disabled]="!loginForm.valid" ion-button block>{{ 'LOGIN' | translate }}
                                    </button>
                                    <!--<button no-padding small type="button" ion-button clear tappable-->
                                            <!--(click)="slideNext()" color="light">{{ 'FORGOT' | translate }}-->
                                    <!--</button>-->
                                </div>
                            </form>
                            <button small clear text-left margin-top ion-button icon-right clear tappable
                                    (click)="goToSignup()">
                                {{ 'GOSIGNUP' | translate }}
                                <ion-icon end name="arrow-down"></ion-icon>
                            </button>
                        </div>
                    </ion-content>
                </ion-slide>
                <ion-slide class="swiper-no-swiping" mode="ios">
                    <ion-content>
                        <div padding>
                            <h1 text-left padding-horizontal>{{ 'RESET_PASS' | translate }}</h1>
                            <p text-left padding-horizontal>{{ 'FORGOT_DESC' | translate }}</p>
                            <form [formGroup]="resetForm" (ngSubmit)="submitReset()">
                                <ion-item padding-right text-right>
                                    <ion-label floating>{{ 'EMAIL' | translate }}</ion-label>
                                    <ion-input type="email" formControlName="email" autocomplete="off"></ion-input>
                                </ion-item>
                                <div padding>
                                    <button [disabled]="!resetForm.valid" ion-button block tappable>{{ 'RESET_PASS' |
                                        translate }}
                                    </button>
                                    <button small type="button" ion-button icon-left float-left no-padding clear
                                            tappable (click)="slidePrevious()" color="light">
                                        <ion-icon name="arrow-back"></ion-icon>
                                        {{ 'GOBACK' | translate }}
                                    </button>
                                </div>
                            </form>
                        </div>
                    </ion-content>
                </ion-slide>
            </ion-slides>
        </ion-slide>
        <ion-slide class="zoom swiper-no-swiping" mode="ios" style="overflow-y: scroll;">


            <ion-content >

                <div padding-left padding-right text-left >
                    <button small type="button" text-left margin-bottom ion-button icon-right clear tappable
                            (click)="goToLogin()">
                        {{ 'GOLOGIN' | translate }}
                        <ion-icon end name="arrow-up"></ion-icon>
                    </button>
                    <h1 padding-horizontal>{{ 'CREATE_ACC' | translate }}</h1>
                    <!-- <p padding-horizontal>Lets join us to get tons of features.</p> -->


                        <form [formGroup]="signupForm" (ngSubmit)="submitSignup()" novalidate>

                            <ion-item padding-right text-right padding-top style="padding-top: 50px;">

                                <ion-label color="primary" style="font-size: 2.0rem">+966</ion-label>
                                <ion-input style="font-size: 2.0rem" formControlName="phone" autocomplete="off"  type="tel"  placeholder="59xxxxxxx" minlength="9" maxlength="9" required></ion-input>
                                <ion-label style="font-size: 2.0rem" color="primary" class="phonelbl">{{ 'PHONE' | translate }}</ion-label>
                            </ion-item>

                            <ion-item padding-right text-right >
                                <ion-label style="font-size: 2.0rem" floating >{{ 'NAME' | translate }}</ion-label>
                                <ion-input style="font-size: 2.0rem" formControlName="name" autocomplete="off" type="text"
                                           required></ion-input>
                            </ion-item>
                            <!--<ion-item padding-right text-right>-->
                                <!--<ion-label floating>{{ 'USERNAME' | translate }}</ion-label>-->
                                <!--<ion-input formControlName="user" autocomplete="off" type="text" required></ion-input>-->
                            <!--</ion-item>-->
                            <ion-item padding-right text-right>
                                <ion-label style="font-size: 2.0rem" floating>{{ 'EMAIL' | translate }}</ion-label>
                                <ion-input style="font-size: 2.0rem" formControlName="email" autocomplete="off" type="email" required></ion-input>
                            </ion-item>
                            <!--<ion-item padding-right text-right>-->
                                <!--<ion-label floating>{{ 'PHONE' | translate }}</ion-label>-->
                                <!--<ion-input formControlName="phone" autocomplete="off" type="number"-->
                                           <!--required></ion-input>-->

                            <!--</ion-item>-->


                            <!--<ion-item padding-right text-right>-->
                                <!--<ion-label floating>{{ 'PASSWORD' | translate }}</ion-label>-->
                                <!--<ion-input formControlName="pass" autocomplete="off" type="password" minlength="6"-->
                                           <!--required></ion-input>-->
                            <!--</ion-item>-->
                            <!--<ion-item padding-right text-right>-->
                                <!--<ion-label floating>{{ 'CONF_PASSWORD' | translate }} </ion-label>-->
                                <!--<ion-input formControlName="pass2" autocomplete="off" type="password" minlength="6"-->
                                           <!--required></ion-input>-->
                            <!--</ion-item>-->
                            <div padding>
                                <button style="font-size: 2.0rem" ion-button block [disabled]="!signupForm.valid ">
                                        <!--[disabled]="!signupForm.valid || (signupForm.controls['pass'].value != signupForm.controls['pass2'].value)">-->

                                    {{ 'SIGNUP' | translate }}
                                </button>
                            </div>
                        </form>


                </div>
            </ion-content>

        </ion-slide>
        <ion-slide class="zoom swiper-no-swiping" mode="ios">
            <ion-slides #innerSlider class="content-slider" mode="ios">
                <ion-slide class="swiper-no-swiping" mode="ios">
                    <ion-content>
                        <div padding-left padding-right text-left class="body">
                            <h1 padding-horizontal>{{ 'PHONE_NUMBER_VERIFICATION' | translate }}</h1>

                            <form [formGroup]="verificationForm" (ngSubmit)="submitVerification()">
                                <ion-item padding-right text-right margin-top>
                                    <ion-label style="font-size: 2.0rem" floating>{{ 'CODE' | translate }}</ion-label>
                                    <ion-input style="font-size: 2.0rem" formControlName="code" autocomplete="off" minlength="5" maxlength="5" type="tel"
                                               required></ion-input>
                                </ion-item>

                                <div padding>
                                    <button style="font-size: 2.0rem" [disabled]="!verificationForm.valid" ion-button block>{{ 'LOGIN' | translate }}
                                    </button>
                                    <!--<button no-padding small type="button" ion-button clear tappable-->
                                            <!--(click)="slideNext()" color="light">{{ 'FORGOT' | translate }}-->
                                    <!--</button>-->
                                </div>
                            </form>

                            <h2  style="font-size: 3.0rem; color: white" text-center >{{countDown | async}}</h2>
                            <h6 no-padding no-margin style="color: white" text-center >ثانية</h6>

                            <button *ngIf="countDown <= 0" small clear text-left margin-top ion-button icon-right clear tappable
                                    (click)="goToLogin()">
                                {{ 'GOLOGIN' | translate }}
                                <ion-icon end name="arrow-down"></ion-icon>
                            </button>
                        </div>
                    </ion-content>
                </ion-slide>
                <ion-slide class="swiper-no-swiping" mode="ios">
                    <ion-content>
                        <div padding>
                            <h1 text-left padding-horizontal>{{ 'RESET_PASS' | translate }}</h1>
                            <p text-left padding-horizontal>{{ 'FORGOT_DESC' | translate }}</p>
                            <form [formGroup]="resetForm" (ngSubmit)="submitReset()">
                                <ion-item padding-right text-right>
                                    <ion-label floating>{{ 'EMAIL' | translate }}</ion-label>
                                    <ion-input type="email" formControlName="email" autocomplete="off"></ion-input>
                                </ion-item>
                                <div padding>
                                    <button [disabled]="!resetForm.valid" ion-button block tappable>{{ 'RESET_PASS' |
                                        translate }}
                                    </button>
                                    <button small type="button" ion-button icon-left float-left no-padding clear
                                            tappable (click)="slidePrevious()" color="light">
                                        <ion-icon name="arrow-back"></ion-icon>
                                        {{ 'GOBACK' | translate }}
                                    </button>
                                </div>
                            </form>
                        </div>
                    </ion-content>
                </ion-slide>
            </ion-slides>
        </ion-slide>
    </ion-slides>


</ion-content>